﻿@model EmploymentInfoModel
@{
    var op = Model.Occupation?.Guid != null ? "Edit" : "Add";
}
<link href="~/css/wizard.css" rel="stylesheet" />
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@op Employment</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form asp-action="saveemployemntinfo" class="form fv-plugins-bootstrap fv-plugins-framework" id="EmploymentInfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteEmployment">
            <div class="modal-body min-h-375px">
                <input asp-for="Occupation.Guid" />
                <input id="DOB_1" type="hidden" value="@ViewBag.ClientDOB" />
                <input id="DOB_2" type="hidden" value="@ViewBag.SpouseDOB" />
                <input asp-for="Occupation.DOB" />
                <div class="stepwizard mb-5 d-none">
                    <div class="stepwizard-row setup-panel">
                        @if (op == "Edit")
                        {
                            <div class="stepwizard-step" data-toggle="tooltip" data-theme="dark" data-original-title="Employment Info">
                                <button data-order="1" data-target="#step-1" type="button" class="btn btn-icon btn-sm btn-circle btn-default active">1</button>
                            </div>
                            <div class="stepwizard-step" data-toggle="tooltip" data-theme="dark" data-original-title="Employer Info">
                                <button data-order="2" data-target="#step-2" type="button" class="btn btn-icon btn-sm btn-circle btn-default" disabled>2</button>
                            </div>
                            <div class="stepwizard-step" data-toggle="tooltip" data-theme="dark" data-original-title="Clergy Info">
                                <button data-order="3" data-target="#step-3" type="button" class="btn btn-icon btn-sm btn-circle btn-default" disabled>3</button>
                            </div>
                        }
                        else
                        {
                            <div class="stepwizard-step" data-toggle="tooltip" data-theme="dark" data-original-title="Employment Info">
                                <button data-order="1" data-target="#step-1" type="button" class="btn btn-icon btn-sm btn-circle btn-default active">1</button>
                            </div>
                            <div class="stepwizard-step d-none" data-toggle="tooltip" data-theme="dark" data-original-title="Employer Info">
                                <button data-order="2" data-target="#step-2" type="button" class="btn btn-icon btn-sm btn-circle btn-default" disabled>2</button>
                            </div>
                            <div class="stepwizard-step" data-toggle="tooltip" data-theme="dark" data-original-title="Clergy Info">
                                <button data-order="3" data-target="#step-3" type="button" class="btn btn-icon btn-sm btn-circle btn-default" disabled>3</button>
                            </div>
                            <div class="stepwizard-step" data-toggle="tooltip" data-theme="dark" data-original-title="Employer Sponsored Plan">
                                <button data-order="4" data-target="#step-4" type="button" class="btn btn-icon btn-sm btn-circle btn-default" disabled>4</button>
                            </div>
                            <div class="stepwizard-step d-none" data-toggle="tooltip" data-theme="dark" data-original-title="Defined Benefit Pension Plan">
                                <button data-order="5" data-target="#step-5" type="button" class="btn btn-icon btn-sm btn-circle btn-default" disabled>5</button>
                            </div>
                        }
                    </div>
                </div>
                @if (op == "Edit")
                {
                    <partial name="EmploymentInfo/_EmploymentWizard" />
                }
                else
                {
                    <partial name="EmploymentInfo/_EmploymentWizard" />
                    <partial name="EspInfo/_EspWizard" />
                }
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_next" type="button">
                    Next<i class="flaticon2-fast-next ml-3"></i>
                </button>
                <button class="btn btn-primary font-weight-bold px-6 py-2 d-none" id="btn_submit_modal">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script src="~/js/occupation-wizard.js" asp-append-version="true"></script>
<script id="occupation-template" type="text/html">
    <div id="employmentinfo-${employmentInfo.guid}">
        <div class="card card-custom gutter-b shadow-none heir-card bg-gray-100" style="border:1px solid ${employmentInfo.color}">
            <div class="card-header heir-header" style="background:${employmentInfo.color}">
                <div class="card-title font-weight-bold font-size-h4 text-white w-75">
                    <span>${employmentInfo.employerTitle}</span>
                    {{if employmentInfo.isPrev}}
                        <span class="label label-warning label-pill label-inline font-weight-bold ml-2 text-dark">Previous</span>
                    {{/if}}
                </div>
                <div class="card-toolbar">
                    <button class="btn btn-icon btn-sm btn-employment-edit" data-guid="${employmentInfo.guid}">
                        <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                    </button>
                    <button class="btn btn-icon btn-sm btn-employment-delete" data-guid="${employmentInfo.guid}">
                        <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                    </button>
                </div>
            </div>
            <div class="card-body">
                <div class="font-size-h6">
                    {{if employmentInfo.employmentStatus!==EmploymentStatus.RETIRED && employmentInfo.employmentStatus!==EmploymentStatus.HOMEMAKER}}
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Employer:</span>
                        <span class="col-md-7 p-0">${employmentInfo.employer}</span>
                    </div>
                    {{/if}}
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-5 text-dark font-weight-bold align-self-start p-0">Status:</span>
                        <span class="col-md-7 p-0">${employmentInfo.employmentStatusString}</span>
                    </div>
                    {{if employmentInfo.employmentStatus!==EmploymentStatus.HOMEMAKER}}
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Retirement Age:</span>
                        <span class="col-md-7 p-0">${employmentInfo.ageToRetire}</span>
                    </div>
                    {{/if}}
                    {{if employmentInfo.employmentStatus!==EmploymentStatus.RETIRED && employmentInfo.employmentStatus!==EmploymentStatus.HOMEMAKER}}
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Years to Retirement:</span>
                        <span class="col-md-7 p-0">${employmentInfo.yearsToRetire >0 ?employmentInfo.yearsToRetire:"-"}</span>
                    </div>
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Industry:</span>
                        <span class="col-md-7 p-0">${employmentInfo.industry}</span>
                    </div>
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Employment Type:</span>
                        <span class="col-md-7 p-0">${employmentInfo.employmentTypesString}</span>
                    </div>
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Annual Earnings:</span>
                        <span class="col-md-7 p-0">${employmentInfo.annualEarningsFormated}</span>
                    </div>
                    {{if employmentInfo.employerOffer > 0}}
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-5 text-dark font-weight-bold p-0">Employer Offer:</span>
                        <span class="col-md-7 p-0">${employmentInfo.employerOfferString}</span>
                    </div>
                    {{/if}}
                    <hr />
                    <div class="d-flex align-items-center">
                        <span class="text-dark font-weight-bold align-self-start">Address:</span>
                        <span class="flex-grow-1 pl-2">${employmentInfo.address1}${employmentInfo.address2 && employmentInfo.address2.length>0?",":""} ${employmentInfo.address2}</span>
                    </div>
                    <div class="d-flex flex-column flex-xl-row mb-2">
                        <div>
                            <span class="text-dark font-weight-bold">State:</span>
                            <span class="pl-2">${employmentInfo.state}</span>
                        </div>
                        <div>
                            <span class="text-dark font-weight-bold pl-xl-2">City:</span>
                            <span class="pl-2">${employmentInfo.city}</span>
                        </div>
                        <div>
                            <span class="text-dark font-weight-bold pl-xl-2">Zip:</span>
                            <span class="pl-2">${employmentInfo.zip}</span>
                        </div>
                    </div>
                    <div class="d-flex align-items-start font-size-h6">
                        <span class="col-7 col-xl-4 text-dark font-weight-bold p-0">My income over 10 years will:</span>
                        <span class="col-5 p-0">${employmentInfo.tenYearExpectedAnnualIncomeString}</span>
                    </div>
                   {{/if}}
                </div>
            </div>
        </div>
    </div>
</script>
<script type="text/javascript">
    setTimeout(function() {
        KTApp.unblockPage();
        var employmentstatus = $("#Occupation_EmploymentStatus").val();
        showHideStatus(employmentstatus);
        var hasPension = $("#Esp_HasPensionPlan").is(":checked");
        showHideEsp(hasPension, "pensionplan");
        $("#EmploymentModal").modal({ backdrop: 'static' });
        var offer = $("#Esp_EmployerOffer").val();
        showHideEspOffer(offer);
        setWizardOrder();
        var currentWizard = $('.stepwizard-step .active').parent().find("button").attr("data-order");
        showHideWizard(currentWizard);
        var employmentOf = $("#Occupation_EmploymentOf").val();
        setDOB(employmentOf);
    }, 2000);
    var showHideZip = function(zipcode) {
        zipcode = zipcode ? zipcode.replace(/_/g, '') : zipcode;
        $(".address").addClass("d-none");        
        if (zipcode && zipcode.length > 4) {
            $(".address").removeClass("d-none");
            $("#Occupation_State").val("");
            $("#Occupation_City").val("");
            $.get(`https://zip.getziptastic.com/v2/US/${zipcode}`, function(response) {
                $("#Occupation_State").val(response.state);
                $("#Occupation_City").val(response.city);
            });
        }
        else
            $(".address").addClass("d-none");
    }
    var zipcode = $("#Occupation_Zip").val();
    showHideZip(zipcode);
    var onFormCompleteEmployment = function(response) {
        var id = $(this).find(":submit").attr('id');
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        frm_id = frm_id == undefined ? $(frm).attr('id') : frm_id;
        var responseObj = JSON.parse(response.responseText);
        var employmentinfo = responseObj.data.employmentInfo;
        employmentinfo.annualEarningsFormated = currencyFormat.format(employmentinfo.annualEarnings);
        employmentinfo.color = employmentinfo.employmentOf == ClientType.CLIENT ? "#b00022" : "#008080";
        if (responseObj) {
            if (responseObj.success) {
                setYearToRetire($("#ClientYearToRetire").val(), employmentinfo.ageToRetire)
                var modalId = $('.modal:visible').attr("id");
                $(`#${modalId}`).modal('hide');
                var div = $(`#employmentinfo-${employmentinfo.guid}`);
                if (div.length > 0)
                    $(`#employmentinfo-${employmentinfo.guid}`).html($("#occupation-template").tmpl(responseObj.data));
                else {
                    if ($(`#employmentinfo-${employmentinfo.guid}`).length == 0)
                        $(`#occupation-main-div`).append(`<div id="occupation-${employmentinfo.employmentOf}" />`);
                    $(`#occupation-${employmentinfo.employmentOf}`).prepend($("#occupation-template").tmpl(responseObj.data));
                    var employmentStatus = $("#ClientSpouseOccupations").val();
                    $("#ClientSpouseOccupations").val(`${employmentStatus},${employmentinfo.employmentStatus}`);
                    hideUnhideWizardItem();
                }
                toastr.clear();
                toastr.options = toastrOptions;
                toastr.success(responseObj.message);
                LoadExplicitVue();
            }
            else
                _showFormMessage(`${frm_id}`, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage(`${frm_id}`, "danger", "Error Occur", "fas fa-exclamation-triangle")

        KTUtil.btnRelease(btn);
    };
    if ('@op' == "Edit")
        $(".stepwizard-step button").prop("disabled", false);

    $("#btn_submit_modal,#btn_next").click(function() {
        if ($("#step-3:visible").length)
            if ($("#EmploymentInfo_form").valid()) { }
            else
                _showFormMessage("step-3", "danger", "Provide information in all required fields.", "fas fa-exclamation-triangle");
    })
</script>